<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ExpenseCategory extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'name'
    ];

    // ✅ Category → Expenses
    public function expenses()
    {
        return $this->hasMany(Expense::class);
    }

    // ✅ Category → User
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}